OGRE: Ogre::PageContentCollection Class Reference - OGRE Documentation

Public Member Functions | Static Public Attributes | Protected Attributes

# Ogre::PageContentCollection Class Reference
[Paging]

Definition of the interface for a collection of PageContent instances. More...

`#include <OgrePageContentCollection.h>`

Inheritance diagram for Ogre::PageContentCollection:
[legend]

List of all members.

## Public Member Functions
| PageContentCollection (PageContentCollectionFactory *creator)
virtual | ~PageContentCollection ()
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory.
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached.
virtual void | save (StreamSerialiser &stream)=0
| Save the collection to a stream.
virtual void | frameStart (Real timeSinceLastFrame)=0
| Called when the frame starts.
virtual void | frameEnd (Real timeElapsed)=0
| Called when the frame ends.
virtual void | notifyCamera (Camera *cam)=0
| Notify a section of the current camera.
virtual bool | prepare (StreamSerialiser &ser)=0
| Prepare data - may be called in the background.
virtual void | load ()=0
| Load - will be called in main thread.
virtual void | unload ()=0
| Unload - will be called in main thread.
virtual void | unprepare ()=0
| Unprepare data - may be called in the background.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Attributes
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION
## Protected Attributes
PageContentCollectionFactory * | mCreator
Page * | mParent

## Detailed Description

Definition of the interface for a collection of PageContent instances.

Remarks:
  This class acts as a grouping level for PageContent instances. Rather than PageContent instances being held in a list directly under Page, which might be the most obvious solution, this intermediate class is here to allow the collection of relevant PageContent instances to be modified at runtime if required. For example, potentially you might want to define Page-level LOD in which different collections of PageContent are loaded at different times.

Definition at line 55 of file OgrePageContentCollection.h.

## Constructor & Destructor Documentation

Ogre::PageContentCollection::PageContentCollection | ( | PageContentCollectionFactory * | creator | ) |

virtual Ogre::PageContentCollection::~PageContentCollection | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::PageContentCollection::_notifyAttached | ( | Page * | parent | ) | `[virtual]`

Internal method to notify a collection that it is attached.

virtual void Ogre::PageContentCollection::frameEnd | ( | Real | timeElapsed | ) | `[pure virtual]`

Called when the frame ends.

Implemented in Ogre::SimplePageContentCollection.

virtual void Ogre::PageContentCollection::frameStart | ( | Real | timeSinceLastFrame | ) | `[pure virtual]`

Called when the frame starts.

Implemented in Ogre::SimplePageContentCollection.

PageManager* Ogre::PageContentCollection::getManager | ( |  | ) | const

Page* Ogre::PageContentCollection::getParentPage | ( |  | ) | const

Definition at line 68 of file OgrePageContentCollection.h.

SceneManager* Ogre::PageContentCollection::getSceneManager | ( |  | ) | const

virtual const String& Ogre::PageContentCollection::getType | ( |  | ) | const`[virtual]`

Get the type of the collection, which will match it's factory.

virtual void Ogre::PageContentCollection::load | ( |  | ) | `[pure virtual]`

Load - will be called in main thread.

Implemented in Ogre::SimplePageContentCollection.

virtual void Ogre::PageContentCollection::notifyCamera | ( | Camera * | cam | ) | `[pure virtual]`

Notify a section of the current camera.

Implemented in Ogre::SimplePageContentCollection.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

virtual bool Ogre::PageContentCollection::prepare | ( | StreamSerialiser & | ser | ) | `[pure virtual]`

Prepare data - may be called in the background.

Implemented in Ogre::SimplePageContentCollection.

virtual void Ogre::PageContentCollection::save | ( | StreamSerialiser & | stream | ) | `[pure virtual]`

Save the collection to a stream.

Implemented in Ogre::SimplePageContentCollection.

virtual void Ogre::PageContentCollection::unload | ( |  | ) | `[pure virtual]`

Unload - will be called in main thread.

Implemented in Ogre::SimplePageContentCollection.

virtual void Ogre::PageContentCollection::unprepare | ( |  | ) | `[pure virtual]`

Unprepare data - may be called in the background.

Implemented in Ogre::SimplePageContentCollection.

## Member Data Documentation

const uint32 Ogre::PageContentCollection::CHUNK_ID`[static]`

Definition at line 61 of file OgrePageContentCollection.h.

const uint16 Ogre::PageContentCollection::CHUNK_VERSION`[static]`

Definition at line 62 of file OgrePageContentCollection.h.

PageContentCollectionFactory* Ogre::PageContentCollection::mCreator`[protected]`

Definition at line 58 of file OgrePageContentCollection.h.

Page* Ogre::PageContentCollection::mParent`[protected]`

Definition at line 59 of file OgrePageContentCollection.h.

The documentation for this class was generated from the following file:

- OgrePageContentCollection.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04